## geany-plugins 1.25+dfsg

=== debian/changelog ===
geany-plugins (1.25+dfsg-2build1) xenial; urgency=medium

  * No-change rebuild against libgit2 0.23.1-1

 -- Stefano Rivera <stefanor@ubuntu.com>  Wed, 28 Oct 2015 01:13:35 -0700

geany-plugins (1.25+dfsg-2) unstable; urgency=medium

  * add upstream patch to fix FTBFS with libgit2 0.23 (Closes: #798870)
  * add temporary dep on libpython2.7-dev for GeanyPy (Closes: #778552)

 -- Evgeni Golov <evgeni@debian.org>  Sun, 11 Oct 2015 13:46:35 +0200

geany-plugins (1.25+dfsg-1) unstable; urgency=medium

  * [bc2321a] Imported Upstream version 1.25+dfsg

 -- Evgeni Golov <evgeni@debian.org>  Sun, 12 Jul 2015 20:19:46 +0200

geany-plugins (1.25~20150705gitabc9808+dfsg-1) experimental; urgency=medium

  * [64bec0d] Imported Upstream version 1.25~20150705gitabc9808+dfsg
  * [952275d] make generation of dfsg tarballs more robust
  * [f9351d1] sort enable/disable plugins
  * [e1bf05d] update enable/disable for 1.25
  * [520af33] drop patches that were applied in 1.25
  * [a394e6a] bump build-depends on geany
  * [5b2b16d] add build-depends on libgit2-dev
  * [ac34b99] rename geany-plugin-gproject to geany-plugin-projectorganizer
  * [68aaa9b] add binary packages for automark, ctags, git-changebar and
    overview
  * [3104f37] update debian/copyright
  * [54026a8] Standards-Version: 3.9.6
  * [5f352a6] add new packages to geany-plugins metapackage

 -- Evgeni Golov <evgeni@debian.org>  Sun, 05 Jul 2015 19:51:07 +0200

geany-plugins (1.24+dfsg-5) unstable; urgency=medium

  * [a032a70] debugger: Fix crash with GDB 7.7.
    Thanks to Colomban Wendling <ban@herbesfolles.org>

 -- Evgeni Golov <evgeni@debian.org>  Wed, 22 Oct 2014 22:22:55 +0200

geany-plugins (1.24+dfsg-4) unstable; urgency=medium

  * [fd534c9] debugger: Fix internal EnvTree state after plugin reload.
    Thanks to Colomban Wendling <ban@herbesfolles.org>

 -- Evgeni Golov <evgeni@debian.org>  Tue, 21 Oct 2014 21:47:42 +0200

geany-plugins (1.24+dfsg-3) unstable; urgency=medium

  * [e23c57c] fix typo in geany-plugin-tableconvert description
    (Closes: #698167)
  * [9877b5e] debugger: fix "Attempt to unlock mutex that was not locked"
    (Closes: #763050)
  * [c58a5f1] addons: fix typos in the package description.
    Thanks to Pascal De Vuyst <pascal.devuyst@gmail.com> (Closes: #757471)

 -- Evgeni Golov <evgeni@debian.org>  Tue, 21 Oct 2014 21:20:53 +0200
