=== debian/control ===
Source: geany-plugins
Section: devel
Priority: optional
Maintainer: Geany Packaging Team <pkg-geany-team@lists.alioth.debian.org>
Uploaders: Chow Loong Jin <hyperair@debian.org>, Evgeni Golov <evgeni@debian.org>
Build-Depends: debhelper (>= 9),
               dpkg-dev (>= 1.16.1~),
               dh-autoreconf (>= 4),
               autotools-dev,
               intltool (>= 0.35),
               geany (>= 1.25~),
               libgtk2.0-dev (>= 2.16),
               libglib2.0-dev (>= 2.18),
               libenchant-dev (>= 1.3),
               libgtkspell-dev,
               liblua5.1-dev,
               libctpl-dev (>= 0.3),
               python-docutils,
               libxml2-dev (>= 2.6.27),
               libsoup2.4-dev (>= 2.4.0),
               libwebkitgtk-dev (>= 1.1.18) | libwebkit-dev (>= 1.1.18),
               libgdk-pixbuf2.0-dev (>= 2.0),
               libgpgme11-dev,
               libvte-dev (>= 1:0.24),
               libwnck-dev (>= 2.10.0),
               libgconf2-dev (>= 2.6.0),
               libmarkdown2-dev,
               libgit2-dev,
               python-gtk2-dev,
               valac (>= 0.7.0)
Standards-Version: 3.9.6
Homepage: http://plugins.geany.org
Vcs-Git: git://anonscm.debian.org/pkg-geany/packages/geany-plugins.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-geany/packages/geany-plugins.git

Package: geany-plugins
Architecture: all
Enhances: geany
Depends: geany-plugin-addons (>= ${source:Version}),
         geany-plugin-autoclose (>= ${source:Version}),
         geany-plugin-automark (>= ${source:Version}),
         geany-plugin-codenav (>= ${source:Version}),
         geany-plugin-ctags (>= ${source:Version}),
         geany-plugin-debugger (>= ${source:Version}),
         geany-plugin-defineformat (>= ${source:Version}),
         geany-plugin-devhelp (>= ${source:Version}),
         geany-plugin-doc (>= ${source:Version}),
         geany-plugin-extrasel (>= ${source:Version}),
         geany-plugin-gendoc (>= ${source:Version}),
         geany-plugin-geniuspaste (>= ${source:Version}),
         geany-plugin-git-changebar (>= ${source:Version}),
         geany-plugin-insertnum (>= ${source:Version}),
         geany-plugin-latex (>= ${source:Version}),
         geany-plugin-lipsum (>= ${source:Version}),
         geany-plugin-lua (>= ${source:Version}),
         geany-plugin-macro (>= ${source:Version}),
         geany-plugin-miniscript (>= ${source:Version}),
         geany-plugin-multiterm (>= ${source:Version}),
         geany-plugin-numberedbookmarks (>= ${source:Version}),
         geany-plugin-overview (>= ${source:Version}),
         geany-plugin-pairtaghighlighter (>= ${source:Version}),
         geany-plugin-pg (>= ${source:Version}),
         geany-plugin-pohelper (>= ${source:Version}),
         geany-plugin-prj (>= ${source:Version}),
         geany-plugin-projectorganizer (>= ${source:Version}),
         geany-plugin-py (>= ${source:Version}),
         geany-plugin-sendmail (>= ${source:Version}),
         geany-plugin-tableconvert (>= ${source:Version}),
         geany-plugin-vc (>= ${source:Version}),
         geany-plugin-prettyprinter (>= ${source:Version}),
         geany-plugin-shiftcolumn (>= ${source:Version}),
         geany-plugin-spellcheck (>= ${source:Version}),
         geany-plugin-treebrowser (>= ${source:Version}),
         geany-plugin-updatechecker (>= ${source:Version}),
         geany-plugin-webhelper (>= ${source:Version}),
         geany-plugin-xmlsnippets (>= ${source:Version}),
         ${misc:Depends}
Description: set of plugins for Geany
 This is a metapackage which installs the whole set of plugins for Geany.
 .
 Geany is a fast and lightweight IDE.

Package: geany-plugins-common
Architecture: all
Depends: geany (>= ${geany:Version}~),
         ${misc:Depends}
Breaks: geany-plugin-addons (<< 0.19),
        geany-plugin-doc (<< 0.19),
        geany-plugin-gdb (<< 0.19),
        geany-plugin-latex (<< 0.19),
        geany-plugin-lipsum (<< 0.19),
        geany-plugin-lua (<< 0.19),
        geany-plugin-prj (<< 0.19),
        geany-plugin-sendmail (<< 0.19),
        geany-plugin-vc (<< 0.19),
        geany-plugin-shiftcolumn (<< 0.19),
        geany-plugin-spellcheck (<< 0.19)
Description: set of plugins for Geany (translations)
 This package contains translations for the Geany Plugins. You probably do not
 want to install this package directly, but instead install one of the other
 plugins packages.

Package: geany-plugin-addons
Enhances: geany
Architecture: any
Depends: ${geany:ABI}, geany-plugins-common (= ${source:Version}),
         ${shlibs:Depends}, ${misc:Depends}
Description: miscellanous plugins for Geany
 This plugin adds various small addons to Geany which aren't worth an
 individual plugin, but might still be useful for people.
  * DocList: This addon places a new item in the toolbar and when clicked
    offers a menu listing all open files plus the 'Close All' and 'Close Other
    Documents' menu items. This can be useful to quickly access open files and
    switch to them.
  * OpenURI: Adds 'Open URI' and 'Copy URI' menu items to the editor menu when
    the word under the cursor looks like a URI. 'Open URI' uses the browser
    command configured in Geany to open it.
  * Tasks: The tasks plugin goes through a file being edited and picks out
    lines with "TODO" or "FIXME" in them. It collects the text after those words
    and puts them in a new "Tasks" tab in the message window. Clicking on a task
    in that tab takes you to the line in the file where the task was defined.
  * Systray: Adds a status icon to the notification area (systray) and
    provides a simple popup menu with some basic actions. It can also be used
    to quickly show and hide the Geany main window.
 .
 Geany is a small and lightweight integrated development environment using the
 Gtk+ toolkit.

Package: geany-plugin-autoclose
Enhances: geany
Architecture: any
Depends: ${geany:ABI}, geany-plugins-common (= ${source:Version}),
         ${shlibs:Depends}, ${misc:Depends}
Description: auto-closing plugin for Geany
 This plugin enables auto-closing features. Auto-closing works while you typing
 and intellectually helps you to write code.
 .
 Features:
  * auto-close for: { }, [ ], ( ), " ", ' ', < >, ` `
  * customizeable auto-closing inside strings and comments
  * delete pairing character if you pressed BackSpace
  * suppress inserting one char twice (if you type "{}" you will get "{}", not
    "{}}")
  * enclose selected text into brackets instead of removing selection (select
    text and type "(" or ")" to enclose selection into "()")
  * keep selection when enclosing
  * for C-like languages enclosing selection into "{}" makes auto-indentation
    (select text and type "{" or "}" - text will be enclosed and indented)
  * enclosing in {} moves cursor to beginning (before "{" character)
  * for C-like languages to insert {}-block you do not need to select text
    precisely: plugin detects boundaries automatically, just ensure that
    selection covers lines you need to indent (works like TAB indentation)
  * fix auto-indent inside {} (makes full indent for this block)
  * auto-close curly bracket by pressing Enter
  * auto-close functions (``"sin(|" -> "sin(|);"``) with doubling suppression
    (for C/C++ languages only)
  * remove paring brace when pressing Shift+BackSpace, unindent {}-blocks
  * add semicolon after ``struct {|};`` and ``class {|};``
  * move cursor to closed char by pressing Tab
 .
 Geany is a small and lightweight integrated development environment using the
 Gtk+ toolkit.

Package: geany-plugin-automark
Enhances: geany
Architecture: any
Depends: ${geany:ABI}, geany-plugins-common (= ${source:Version}),
         ${shlibs:Depends}, ${misc:Depends}
Description: auto-mark plugin for Geany
 This is a simple plugin that highlights all words that match current word
 under cursor (see screenshot).
 .
 Geany is a small and lightweight integrated development environment using the
 Gtk+ toolkit.

Package: geany-plugin-codenav
Enhances: geany
Architecture: any
Depends: ${geany:ABI}, geany-plugins-common (= ${source:Version}),
         ${shlibs:Depends}, ${misc:Depends}
Description: code navigation plugin for Geany
 This plugin adds some facilities for navigating in code using Geany, making it
 possible to:
  * Switch between header and implementation
  * Go to a file by typing its name
 .
 Geany is a small and lightweight integrated development environment using the
 Gtk+ toolkit.

Package: geany-plugin-commander
Enhances: geany
Architecture: any
Depends: ${geany:ABI}, geany-plugins-common (= ${source:Version}),
         ${shlibs:Depends}, ${misc:Depends}
Description: command panel plugin for Geany
 This plugin adds a command panel to Geany for rapid access to any action.
 .
 Geany is a small and lightweight integrated development environment using the
 Gtk+ toolkit.

Package: geany-plugin-ctags
Enhances: geany
Architecture: any
Depends: ${geany:ABI}, geany-plugins-common (= ${source:Version}),
         exuberant-ctags,
         ${shlibs:Depends}, ${misc:Depends}
Description: ctags plugin for Geany
 GeanyCtags adds a simple support for generating and querying ctags files
 for a Geany project.
 .
 Even though Geany supports symbol definition searching by itself within the
 open files (and with a plugin support within the whole project), tag
 regeneration can become too slow for really big projects. This is why this
 plugin was created. It makes it possible to generate the tag file only once
 and just query it when searching for a particular symbol
 definition/declaration. This approach is fine for big projects where most
 of the codebase remains unchanged and the tag positions remain more or
 less static.
 .
 Geany is a small and lightweight integrated development environment using the
 Gtk+ toolkit.

Package: geany-plugin-debugger
Enhances: geany
Architecture: any
Depends: ${geany:ABI}, geany-plugins-common (= ${source:Version}),
         ${shlibs:Depends}, ${misc:Depends}, gdb (>= 7.7)
Description: debugger plugin for Geany
 Features:
  * Debugger panel
  * Setting target, environment variables and command line arguments
  * Breakpoints
  * Watches, autos
  * Debug terminal
  * Debugger messages window
  * Variables calltips while debugging
  * Saving debug session data in a Geany project (can be switched through
    settings)
  * Double or single panel modes
  * Hotkeys
 .
 Geany is a small and lightweight integrated development environment using the
 Gtk+ toolkit.

Package: geany-plugin-defineformat
Enhances: geany
Architecture: any
Depends: ${geany:ABI}, geany-plugins-common (= ${source:Version}),
         ${shlibs:Depends}, ${misc:Depends}
Description: on-the-fly #define prettyprinter plugin for Geany
 This plugin will help you to write multiline defines with aligned backslash.
 .
 Geany is a small and lightweight integrated development environment using the
 Gtk+ toolkit.

Package: geany-plugin-devhelp
Enhances: geany
Architecture: any
Depends: ${geany:ABI}, geany-plugins-common (= ${source:Version}),
         ${shlibs:Depends}, ${misc:Depends}
Description: DevHelp plugin for Geany
 This plugin embeds an API documentation browser and search functionality
 directly into Geany's user interface.
 .
 Devhelp is an API documentation browser mainly aimed at GNOME-related
 libraries, although there are Devhelp books for a wide range of library
 APIs. Check your package manager and/or Google and you should have no trouble
 finding books that can be viewed with Devhelp.
 .
 Geany is a small and lightweight integrated development environment using the
 GTK+ toolkit.

Package: geany-plugin-doc
Enhances: geany
Architecture: any
Depends: ${geany:ABI}, geany-plugins-common (= ${source:Version}),
         ${shlibs:Depends}, ${misc:Depends}
Description: documentation plugin for Geany
 Geanydoc is a plugin for the Geany IDE which is intended to be used to search
