=== debian/changelog ===
geany-plugins (1.26+dfsg-1) unstable; urgency=medium

  [ Evgeni Golov ]
  * [a5bf5ac] Imported Upstream version 1.26~git20151108+dfsg
  * [5db055a] drop libgit_023.patch
  * [0abda4b] bump geany B-D

  [ Chow Loong Jin ]
  * [787ebdb] Add Frank's key to upstream/signing-key.asc
  * [76e4391] Use Files-Excluded and uscan instead of get-orig-source
  * [ee1e4a2] Imported Upstream version 1.26+dfsg

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 25 Nov 2015 11:04:56 +0800
