=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-autoreconf (>= 4),
                autotools-dev,
                intltool (>= 0.35),
-               geany (>= 1.25~),
+               geany (>= 1.26~),
                libgtk2.0-dev (>= 2.16),
                libglib2.0-dev (>= 2.18),
                libenchant-dev (>= 1.3),
