=== debian/rules ===
--- 
+++ 
@@ -96,15 +96,3 @@
 
 %:
 	dh $@ --with=autoreconf --parallel
-
-upstream_version ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9a-z.~]+)(\+dfsg)?.*$$/\1/p')
-dfsg_version = $(upstream_version)+dfsg
-pkg = $(shell dpkg-parsechangelog | sed -ne 's/^Source: //p')
-
-get-orig-source:
-	uscan --noconf --force-download --rename --repack --download-current-version --destdir=.
-	mkdir $(pkg)-$(dfsg_version)
-	tar --directory="$(pkg)-$(dfsg_version)" --strip-components=1 -xzf $(pkg)_$(upstream_version).orig.tar.gz
-	rm $(pkg)-$(dfsg_version)/waf
-	GZIP="-9fn --rsyncable" tar -czf $(pkg)_$(dfsg_version).orig.tar.gz $(pkg)-$(dfsg_version)
-	rm -rf $(pkg)-$(dfsg_version)
