## geany-plugins 1.27+dfsg

=== debian/changelog ===
geany-plugins (1.27+dfsg-2) unstable; urgency=medium

  * [75ebffc] Drop build/cache (it's causing autoreconf to fail)
    (Closes: #819889)

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 11 Apr 2016 21:20:43 +0800

geany-plugins (1.27+dfsg-1) unstable; urgency=medium

  * [d6ab6d6] Exclude devhelp icon.
    They're old upstream icons, licensed under CC-BY-2.0 and
    not-dfsg-compatible.
  * [93a7827] Imported Upstream version 1.27+dfsg
  * [682d513] Patch devhelp to tell it where DHPLUG_DATA_DIR is

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 20 Mar 2016 20:09:51 +0800

geany-plugins (1.27-1) unstable; urgency=medium

  * [3d08475] Update list of plugins in geany-plugins deps
  * [48499dd] Imported Upstream version 1.27
  * [4c05277] d/copyright: Add lineoperations/* paragraph
  * [1e5324d] Add line operations plugin
  * [951e573] Refresh patch
  * [0234e0f] Update install files
  * [90fe8e4] Ignore /usr/share/doc/geany-plugins/
  * [185955f] Ignore .la files
  * [68057bc] Update geany-plugin-py.install.
    Upstream has relocated the python plugins to /usr/lib/$arch/geany with
    the rest of the plugins.
  * [f0897f8] Fix spelling error in package description
  * [798a693] Drop geany-plugin-gproject from main metapackage
    gproject is the transitional package for projectorganizer
  * [83bdfd0] No-change bump of Standards-Version to 3.9.7

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 14 Mar 2016 02:55:34 +0800
