=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
                libgit2-dev,
                python-gtk2-dev,
                valac (>= 0.7.0)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://plugins.geany.org
 Vcs-Git: git://anonscm.debian.org/pkg-geany/packages/geany-plugins.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-geany/packages/geany-plugins.git
@@ -40,6 +40,7 @@
          geany-plugin-autoclose (>= ${source:Version}),
          geany-plugin-automark (>= ${source:Version}),
          geany-plugin-codenav (>= ${source:Version}),
+         geany-plugin-commander (>= ${source:Version}),
          geany-plugin-ctags (>= ${source:Version}),
          geany-plugin-debugger (>= ${source:Version}),
          geany-plugin-defineformat (>= ${source:Version}),
@@ -54,6 +55,7 @@
          geany-plugin-lipsum (>= ${source:Version}),
          geany-plugin-lua (>= ${source:Version}),
          geany-plugin-macro (>= ${source:Version}),
+         geany-plugin-markdown (>= ${source:Version}),
          geany-plugin-miniscript (>= ${source:Version}),
          geany-plugin-multiterm (>= ${source:Version}),
          geany-plugin-numberedbookmarks (>= ${source:Version}),
@@ -64,6 +66,7 @@
          geany-plugin-prj (>= ${source:Version}),
          geany-plugin-projectorganizer (>= ${source:Version}),
          geany-plugin-py (>= ${source:Version}),
+         geany-plugin-scope (>= ${source:Version}),
          geany-plugin-sendmail (>= ${source:Version}),
          geany-plugin-tableconvert (>= ${source:Version}),
          geany-plugin-vc (>= ${source:Version}),
@@ -274,6 +277,3 @@
 Enhances: geany
 Architecture: any
 Depends: ${geany:ABI}, geany-plugins-common (= ${source:Version}),
-         ${shlibs:Depends}, ${misc:Depends}
-Description: documentation plugin for Geany
- Geanydoc is a plugin for the Geany IDE which is intended to be used to search
