=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 GEANY_VERSION = $(shell pkg-config --modversion geany)
 
 override_dh_autoreconf:
+	rm -rf build/cache
 	dh_autoreconf --as-needed
 
 # specify libexecdir to avoid cascading geany-plugins directories in /usr/lib
@@ -41,6 +42,7 @@
 		--enable-gitchangebar			\
 		--enable-gtkspell			\
 		--enable-largefile			\
+		--enable-lineoperations			\
 		--enable-markdown			\
 		--disable-peg-markdown			\
 		--enable-multiterm			\
@@ -92,7 +94,7 @@
 
 override_dh_install:
 	find debian/tmp/ -name '*.pyc' -delete
-	dh_install --list-missing
+	dh_install --list-missing -Xusr/share/doc/geany-plugins/ -X.la
 
 %:
 	dh $@ --with=autoreconf --parallel
