## geany-plugins 1.28+dfsg

=== debian/changelog ===
geany-plugins (1.28+dfsg-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Evgeni Golov <evgeni@debian.org>  Sun, 11 Sep 2016 09:37:36 +0200

geany-plugins (1.28+dfsg-1) unstable; urgency=medium

  [ Chow Loong Jin ]
  * [cea6197] Update geany-plugins dependencies (LP: #1572107)
  * [276bc98] Imported Upstream version 1.28+dfsg
  * [f91dfac] Update debian/copyright for sendmail dir rename
  * [fc093f1] Update packaging for geanysendmail rename
  * [2642703] No-change bump of Standards-Version to 3.9.8
  * [a7c1a75] Override false spelling error in extrasel

  [ Evgeni Golov ]
  * [450d312] update vcs fields
  * [e696136] drop waf from debian/copyright -- upstream stopped using waf

 -- Evgeni Golov <evgeni@debian.org>  Mon, 22 Aug 2016 20:54:29 +0200

geany-plugins (1.25+dfsg-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Evgeni Golov <evgeni@debian.org>  Tue, 03 Nov 2015 07:53:54 +0100
