=== debian/control ===
--- 
+++ 
@@ -28,10 +28,10 @@
                libgit2-dev,
                python-gtk2-dev,
                valac (>= 0.7.0)
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://plugins.geany.org
-Vcs-Git: git://anonscm.debian.org/pkg-geany/packages/geany-plugins.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-geany/packages/geany-plugins.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-geany/packages/geany-plugins.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-geany/packages/geany-plugins.git
 
 Package: geany-plugins
 Architecture: all
@@ -54,12 +54,13 @@
          geany-plugin-latex (>= ${source:Version}),
          geany-plugin-lipsum (>= ${source:Version}),
          geany-plugin-lua (>= ${source:Version}),
+         geany-plugin-lineoperations (>= ${source:Version}),
          geany-plugin-macro (>= ${source:Version}),
          geany-plugin-markdown (>= ${source:Version}),
          geany-plugin-miniscript (>= ${source:Version}),
          geany-plugin-multiterm (>= ${source:Version}),
+         geany-plugin-overview (>= ${source:Version}),
          geany-plugin-numberedbookmarks (>= ${source:Version}),
-         geany-plugin-overview (>= ${source:Version}),
          geany-plugin-pairtaghighlighter (>= ${source:Version}),
          geany-plugin-pg (>= ${source:Version}),
          geany-plugin-pohelper (>= ${source:Version}),
@@ -276,4 +277,3 @@
 Package: geany-plugin-doc
 Enhances: geany
 Architecture: any
-Depends: ${geany:ABI}, geany-plugins-common (= ${source:Version}),
