=== debian/rules ===
--- 
+++ 
@@ -36,7 +36,7 @@
 		--enable-geanypg			\
 		--enable-geanyprj			\
 		--enable-geanypy			\
-		--enable-geanysendmail			\
+		--enable-sendmail			\
 		--enable-geanyvc			\
 		--enable-geniuspaste			\
 		--enable-gitchangebar			\
