## geany-plugins 1.29+dfsg

=== debian/changelog ===
geany-plugins (1.29+dfsg-1) unstable; urgency=medium

  * [2f7dee6] Imported Upstream version 1.29+dfsg
  * [da4aa95] Update copyright file geanylipsum rename
  * [c9ee1f6] Update packaging for geanylipsum rename

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 19 Nov 2016 15:35:08 +0800
