=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 		--enable-geanygendoc			\
 		--enable-geanyinsertnum			\
 		--enable-geanylatex			\
-		--enable-geanylipsum			\
+		--enable-lipsum				\
 		--enable-geanylua			\
 		--enable-geanymacro			\
 		--enable-geanyminiscript		\
