## geany-plugins 1.31+dfsg

=== debian/changelog ===
geany-plugins (1.31+dfsg-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Disable the devhelp, markdown and webhelper plugins due to
    their dependency on an obsolete WebKitGTK+ version.
    (Closes: #790201)

 -- Adrian Bunk <bunk@debian.org>  Sun, 30 Jul 2017 23:54:55 +0300

geany-plugins (1.31+dfsg-1) unstable; urgency=medium

  * [b9b8fe5] New upstream version 1.31+dfsg
  * [b28dd25] Fix spelling error (miscellanous -> miscellaneous)
  * [ab015b4] Add lintian override for FIXME in description.
    It's part of the description, not a placeholder
  * [764b33d] Add license paragraph for keyrecord/*

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 25 Jul 2017 00:55:40 +0800

geany-plugins (1.30+dfsg-1) experimental; urgency=medium

  * [c8335f2] Imported Upstream version 1.30+dfsg
  * [a5b484a] Bump geany build-dep version

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 13 Mar 2017 14:19:23 +0800
