=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-autoreconf (>= 4),
                autotools-dev,
                intltool (>= 0.35),
-               geany (>= 1.26~),
+               geany (>= 1.29~),
                libgtk2.0-dev (>= 2.16),
                libglib2.0-dev (>= 2.18),
                libenchant-dev (>= 1.3),
@@ -18,16 +18,15 @@
                python-docutils,
                libxml2-dev (>= 2.6.27),
                libsoup2.4-dev (>= 2.4.0),
-               libwebkitgtk-dev (>= 1.1.18) | libwebkit-dev (>= 1.1.18),
                libgdk-pixbuf2.0-dev (>= 2.0),
                libgpgme11-dev,
                libvte-dev (>= 1:0.24),
                libwnck-dev (>= 2.10.0),
                libgconf2-dev (>= 2.6.0),
-               libmarkdown2-dev,
                libgit2-dev,
                python-gtk2-dev,
                valac (>= 0.7.0)
+Build-Conflicts: libwebkitgtk-dev
 Standards-Version: 3.9.8
 Homepage: http://plugins.geany.org
 Vcs-Git: https://anonscm.debian.org/git/pkg-geany/packages/geany-plugins.git
@@ -44,7 +43,6 @@
          geany-plugin-ctags (>= ${source:Version}),
          geany-plugin-debugger (>= ${source:Version}),
          geany-plugin-defineformat (>= ${source:Version}),
-         geany-plugin-devhelp (>= ${source:Version}),
          geany-plugin-doc (>= ${source:Version}),
          geany-plugin-extrasel (>= ${source:Version}),
          geany-plugin-gendoc (>= ${source:Version}),
@@ -56,7 +54,6 @@
          geany-plugin-lua (>= ${source:Version}),
          geany-plugin-lineoperations (>= ${source:Version}),
          geany-plugin-macro (>= ${source:Version}),
-         geany-plugin-markdown (>= ${source:Version}),
          geany-plugin-miniscript (>= ${source:Version}),
          geany-plugin-multiterm (>= ${source:Version}),
          geany-plugin-overview (>= ${source:Version}),
@@ -76,7 +73,6 @@
          geany-plugin-spellcheck (>= ${source:Version}),
          geany-plugin-treebrowser (>= ${source:Version}),
          geany-plugin-updatechecker (>= ${source:Version}),
-         geany-plugin-webhelper (>= ${source:Version}),
          geany-plugin-xmlsnippets (>= ${source:Version}),
          ${misc:Depends}
 Description: set of plugins for Geany
@@ -109,7 +105,7 @@
 Architecture: any
 Depends: ${geany:ABI}, geany-plugins-common (= ${source:Version}),
          ${shlibs:Depends}, ${misc:Depends}
-Description: miscellanous plugins for Geany
+Description: miscellaneous plugins for Geany
  This plugin adds various small addons to Geany which aren't worth an
  individual plugin, but might still be useful for people.
   * DocList: This addon places a new item in the toolbar and when clicked
@@ -257,23 +253,27 @@
  Geany is a small and lightweight integrated development environment using the
  Gtk+ toolkit.
 
-Package: geany-plugin-devhelp
-Enhances: geany
-Architecture: any
-Depends: ${geany:ABI}, geany-plugins-common (= ${source:Version}),
-         ${shlibs:Depends}, ${misc:Depends}
-Description: DevHelp plugin for Geany
- This plugin embeds an API documentation browser and search functionality
- directly into Geany's user interface.
- .
- Devhelp is an API documentation browser mainly aimed at GNOME-related
- libraries, although there are Devhelp books for a wide range of library
- APIs. Check your package manager and/or Google and you should have no trouble
- finding books that can be viewed with Devhelp.
- .
- Geany is a small and lightweight integrated development environment using the
- GTK+ toolkit.
+#Package: geany-plugin-devhelp
+#Enhances: geany
+#Architecture: any
+#Depends: ${geany:ABI}, geany-plugins-common (= ${source:Version}),
+#         ${shlibs:Depends}, ${misc:Depends}
+#Description: DevHelp plugin for Geany
+# This plugin embeds an API documentation browser and search functionality
+# directly into Geany's user interface.
+# .
+# Devhelp is an API documentation browser mainly aimed at GNOME-related
+# libraries, although there are Devhelp books for a wide range of library
+# APIs. Check your package manager and/or Google and you should have no trouble
+# finding books that can be viewed with Devhelp.
+# .
+# Geany is a small and lightweight integrated development environment using the
+# GTK+ toolkit.
 
 Package: geany-plugin-doc
 Enhances: geany
 Architecture: any
+Depends: ${geany:ABI}, geany-plugins-common (= ${source:Version}),
+         ${shlibs:Depends}, ${misc:Depends}
+Description: documentation plugin for Geany
+ Geanydoc is a plugin for the Geany IDE which is intended to be used to search
