=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,6 @@
 		--enable-commander			\
 		--enable-debugger			\
 		--enable-defineformat			\
-		--enable-devhelp			\
 		--enable-geanyctags			\
 		--enable-geanydoc			\
 		--enable-geanyextrasel			\
@@ -43,7 +42,6 @@
 		--enable-gtkspell			\
 		--enable-largefile			\
 		--enable-lineoperations			\
-		--enable-markdown			\
 		--disable-peg-markdown			\
 		--enable-multiterm			\
 		--enable-overview			\
@@ -57,7 +55,6 @@
 		--enable-tableconvert			\
 		--enable-treebrowser			\
 		--enable-updatechecker			\
-		--enable-webhelper			\
 		--enable-xmlsnippets
 
 # install separate ChangeLogs for each different plugin
